Bug 806162 - Scheduler sometimes leaves old recipe repos in /var/www/beaker/repos
Scheduler sometimes leaves old recipe repos in /var/www/beaker/repos
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.8
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
Scheduler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 00:43 EDT by Dan Callaghan
Modified: 2013-09-19 19:05 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 19:05:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2012-03-23 00:43:23 EDT
It seems the scheduler is not always cleaning up old recipe repos properly. On our Beaker instance we found 591 old repos under /var/www/beaker/repos dating from July 2010 to one week ago. They are "old" in the sense that the corresponding recipe is already completed, cancelled, or aborted, so the repo should no longer be present on disk.
Comment 2 Dan Callaghan 2012-03-23 00:47:48 EDT
A large number of the recipes in question were cancelled -- it is possible we are creating the repo and not destroying it, if the recipe is cancelled before it starts. (See also bug 715226.)
Comment 3 Nick Coghlan 2012-10-17 00:36:39 EDT
Bulk reassignment of issues as Bill has moved to another team.
Comment 5 Dan Callaghan 2013-09-19 19:05:38 EDT
I think with all the fixes for task repo generation and job status updating in recent Beaker releases, this issue should be fixed.

There are no orphaned repos in our production Beaker instance, aside from a handful from May 2013 (which pre-dates all those fixes).

Note You need to log in before you can comment on or make changes to this bug.